--- a/apache/mod_auth_dacs.c
+++ b/apache/mod_auth_dacs.c
@@ -170,8 +170,8 @@
 /* For getpid() */
 #include <unistd.h>
 
-/* In modules/ssl/ssl_engine_kernel.c */
-extern int ssl_hook_Fixup(request_rec *);
+// /* In modules/ssl/ssl_engine_kernel.c */
+// extern int ssl_hook_Fixup(request_rec *);
 
 #if defined(__DATE__) && defined(__TIME__)
 static const char module_built[] = __DATE__ " " __TIME__;
@@ -1347,8 +1347,8 @@
   r->subprocess_env = apr_table_make(r->pool, 50);
   ap_add_common_vars(r);
   ap_add_cgi_vars(r);
-  if (ssl_is_ssl_request(r))
-	ssl_hook_Fixup(r);		/* XXX This probably wasn't intended usage */
+  /* if (ssl_is_ssl_request(r))
+	ssl_hook_Fixup(r); */		/* XXX This probably wasn't intended usage */
   dacs_add_cgi_env(r, NULL, 2, saved_cookies);
 
   child_env = (const char * const *)
